'use strict';

var OrcamentoBDIImplicitoSinteticoController = angular.module('OrcamentoBDIImplicitoSinteticoController', []);

OrcamentoBDIImplicitoSinteticoController.controller('OrcamentoBDIImplicitoSinteticoCtrl', ['$scope', '$filter', 'Relatorio', 'CacheApp',
  ($scope, $filter, Relatorio, CacheApp) => {
      $scope.construcao = CacheApp.getConstrucao();
      $scope.assinatura = true;
      $scope.descricaoObra = true;

      $scope.getOrcamentoBDIImplicitoSintetico = () => {
          $scope.planejado = {};
          Relatorio.getOrcamentoBDIImplicitoSintetico($scope.construcao.Id,
              (data) => {
                  $scope.planejado = data.Instance;
                  if (data.Instance)
                      $scope.construcao.ValorBDI = data.Instance.Valor;
              });
      }
      $scope.getOrcamentoBDIImplicitoSintetico();

      $scope.pdfOrcamentoBDIImplicitoSintetico = () => {
          var cabecalho = {
              Avatar: $scope.construcao.ContaAvatar,
              Obra: $scope.construcao.Titulo,
              Conta: $scope.construcao.Conta,
              DataInicio: $filter("date")($scope.construcao.DataInicio, 'dd/MM/yyyy'),
              DataFim: $filter("date")($scope.construcao.DataFim, 'dd/MM/yyyy'),
              Moeda: $scope.construcao.Moeda
          };

          if ($scope.assinatura == true) {
              cabecalho.Responsavel = $scope.construcao.Contato
          };
          if ($scope.descricaoObra == true) {
              cabecalho.DescricaoObra = $scope.construcao.Descricao
          };

          Relatorio.pdfOrcamentoBDIImplicitoSintetico($scope.construcao.Id, cabecalho,
              (data) => {
                  window.location.assign(data.Instance);
              });
      }

      $scope.xlsOrcamentoBDIImplicitoSintetico = () => {
        var cabecalho = {
            Avatar: $scope.construcao.ContaAvatar,
            Obra: $scope.construcao.Titulo,
            Conta: $scope.construcao.Conta,
            DataInicio: $filter("date")($scope.construcao.DataInicio, 'dd/MM/yyyy'),
            DataFim: $filter("date")($scope.construcao.DataFim, 'dd/MM/yyyy'),
            Moeda: $scope.construcao.Moeda
        };

        Relatorio.xlsOrcamentoBDIImplicitoSintetico($scope.construcao.Id, cabecalho,
            (data) => {
                window.location.assign(data.Instance);
            });
    }
}]);
